KNS::Provider Class Reference

`#include <provider.h>`

## Public Types

typedef QPtrList< Provider > | List

## Public Member Functions

| Provider ()
| Provider (const QDomElement &)
| ~Provider ()
void | setName (const QString &)
QString | name () const
void | setDownloadUrl (const KURL &)
KURL | downloadUrl () const
KURL | downloadUrlVariant (QString variant) const
void | setUploadUrl (const KURL &)
KURL | uploadUrl () const
void | setNoUploadUrl (const KURL &)
KURL | noUploadUrl () const
void | setNoUpload (bool)
bool | noUpload () const
void | setIcon (const KURL &)
KURL | icon () const

## Protected Member Functions

void | parseDomElement (const QDomElement &)
QDomElement | createDomElement (QDomDocument &, QDomElement &parent)

## Detailed Description

KNewStuff provider container.

This class provides accessors for the provider object. as used by KNewStuff. It should probably not be used directly by the application.

Author
  Cornelius Schumacher (schum.nosp@m.ache.nosp@m.r@kde.nosp@m..org)

Maintainer:
  Josef Spillner (spill.nosp@m.ner@.nosp@m.kde.o.nosp@m.rg)

Definition at line 46 of file provider.h.

## Constructor & Destructor Documentation

Provider::Provider | ( |  | ) |

Constructor.

Definition at line 79 of file provider.cpp.

Provider::Provider | ( | const QDomElement & | e | ) |

Constructor with XML feed.

Definition at line 83 of file provider.cpp.

Provider::~Provider | ( |  | ) |

Destructor.

Definition at line 88 of file provider.cpp.

## Member Function Documentation

KURL Provider::downloadUrl | ( |  | ) | const

Retrieves the download URL.

Returns
  download URL

Definition at line 132 of file provider.cpp.

KURL Provider::downloadUrlVariant | ( | QString | variant | ) | const

Variant to retrieve 'tagged' download URLs.

Variant can be one of 'score', 'downloads', 'latest'.

Returns
  download specific URL

Definition at line 65 of file provider.cpp.

KURL Provider::icon | ( |  | ) | const

Retrieves the icon URL for this provider.

Returns
  icon URL

Definition at line 121 of file provider.cpp.

QString Provider::name | ( |  | ) | const

Retrieves the common name of the provider.

Returns
  provider name

Definition at line 110 of file provider.cpp.

bool Provider::noUpload | ( |  | ) | const

Query whether provider supports uploads.

Returns
  upload support status

Definition at line 165 of file provider.cpp.

KURL Provider::noUploadUrl | ( |  | ) | const

Retrieves the URL where a user is led if the provider does not support uploads.

Returns
  website URL

Definition at line 154 of file provider.cpp.

void Provider::setDownloadUrl | ( | const KURL & | url | ) |

Sets the download URL.

Definition at line 127 of file provider.cpp.

void Provider::setIcon | ( | const KURL & | url | ) |

Sets the URL for an icon for this provider.

The icon should be in 32x32 format. If not set, the default icon of KDialogBase is used.

Definition at line 116 of file provider.cpp.

void Provider::setName | ( | const QString & | name | ) |

Sets the common name of the provider.

Definition at line 105 of file provider.cpp.

void Provider::setNoUpload | ( | bool | enabled | ) |

Indicate whether provider supports uploads.

Definition at line 160 of file provider.cpp.

void Provider::setNoUploadUrl | ( | const KURL & | url | ) |

Sets the URL where a user is led if the provider does not support uploads.

See also
  setNoUpload

Definition at line 149 of file provider.cpp.

void Provider::setUploadUrl | ( | const KURL & | url | ) |

Sets the upload URL.

Definition at line 138 of file provider.cpp.

KURL Provider::uploadUrl | ( |  | ) | const

Retrieves the upload URL.

Returns
  upload URL

Definition at line 143 of file provider.cpp.

The documentation for this class was generated from the following files:

- provider.h
- provider.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys